function [rs, trans, images] = read_biwi_pose_data(folder)

%% get all txt files
file_list = dir(fullfile(folder,'*pose.txt')); %
num_files = length(file_list);
%%
rs = cell(num_files,1);
trans = zeros(num_files,3);
images = cell(num_files,1);

for i=1:num_files
  
    pose_file = fullfile(file_list(i).folder, file_list(i).name);
    fid = fopen(pose_file, 'r');

    % R
    t=zeros(3);
    t(1,:) = fscanf(fid, '%f %f %f\n',3);
    t(2,:) = fscanf(fid, '%f %f %f\n',3);
    t(3,:) = fscanf(fid, '%f %f %f\n',3);
    rs{i} = t;    
    
    % x,y,z trans
    fscanf(fid, '\n');
    trans(i,:) = fscanf(fid, '%f %f %f\n',3);
      
    fclose(fid);

    images{i} = [pose_file(1:end-8) 'rgb.png'];
    % check if image exisits
    if isfile(images{i})
     %
    else
     	warning(['image file not found for' images{i}]);
    end
  
end
end

