import os
import scipy.io as sio # to load .mat files, if you prefer h5py you can store the data to h5py from matlab
from PIL import Image
import time

def load_from_matfile_dict(matfile_path):
    if os.path.isfile(matfile_path) is False:
        raise NameError("ERROR: Mat file not Found")
    else:
        mat_dict = sio.loadmat(matfile_path, squeeze_me=True, chars_as_strings=True)
        return mat_dict


# load a db
db_dict = load_from_matfile_dict('../data/synhead_plus_plus.mat')

# show some images cropped to bbox
bboxes = db_dict['bboxes']
images = db_dict['images']
for i in [1, 1000, 2000, 3000, 4000, 5000, 6000, 7000, 8000, 10000]:
    img = Image.open(images[i])
    #bboxes are x y w h but pil crop needs
    #crop(left, upper, right, lower) - tuple
    img.crop((bboxes[i, 0], bboxes[i, 1], bboxes[i, 0]+bboxes[i, 2], bboxes[i, 1]+bboxes[i, 3])).show()
    time.sleep(1)